Page MenuHomePhabricator

Upgrade logstash*.eqiad.wmnet elasticsearch servers to 2.3
Closed, ResolvedPublic

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 23 2016, 3:18 PM
Deskana triaged this task as Medium priority.May 26 2016, 10:16 PM
Deskana added a subscriber: Deskana.

Ideally we would do this this quarter, but it doesn't really block anything and isn't directly in for our goals.

Deskana moved this task from needs triage to This Quarter on the Discovery-Search board.
bd808 added a subscriber: bd808.May 26 2016, 10:44 PM

Ideally we would do this this quarter, but it doesn't really block anything and isn't directly in for our goals.

As long as the production Puppet and apt configuration for the Elasticsearch modules continue to support the 1.7.x series that is probably true. As soon as your engineers need to make a breaking change however it will become someone's problem.

debt moved this task from This Quarter to Up Next on the Discovery-Search board.Jun 2 2016, 10:09 PM

Couple issues when attempting to convert a test instance in labs with 2 days of data from 1.7 to 2.3. Installed the 1.x->2.0 migration plugin to check, we have a few issues that need to be resolved (probably by munging things in logstash before sending them on):

Mapping for field hhvm:line conflicts with: restbase:line. Check parameters: norms.enabled, type
Mapping for field hhvm:line conflicts with: mw-ocg-service:line. Check parameters: norms.enabled, type
Mapping for field apache2:pid conflicts with: citoid:pid. Check parameters: norms.enabled, type
Mapping for field apache2:pid conflicts with: cxserver:pid. Check parameters: norms.enabled, type
Mapping for field apache2:pid conflicts with: mw-ocg-service:pid. Check parameters: norms.enabled, type
Mapping for field apache2:pid conflicts with: parsoid:pid. Check parameters: norms.enabled, type
Mapping for field apache2:pid conflicts with: restbase:pid. Check parameters: norms.enabled, type
Mapping for field apache2:timestamp conflicts with: mediawiki:timestamp. Check parameters: format, norms.enabled, type

EBernhardson added a comment.EditedJun 23 2016, 10:20 PM

Similar to when we deployed es 2.3 for search, the elasticsearch::publish_host hiera variable needs to be set appropriately, or it will only bind to the lo interface

EBernhardson closed this task as Resolved.Jul 18 2016, 10:58 PM
EBernhardson claimed this task.

upgrade complete